import wikipedia as wiki
import pandas as pd
from bs4 import BeautifulSoup
import requests



def get_wikipedia_summary(url):
    # Send a GET request to the Wikipedia page
    response = requests.get(url)

    # Check if the request was successful
    if response.status_code != 200:
        return f"Error: Unable to access Wikipedia page. Status code: {response.status_code}"

    # Parse the HTML content using BeautifulSoup
    soup = BeautifulSoup(response.text, 'html.parser')

    # Find the first paragraph within the content div
    content_div = soup.find('div', class_='mw-content-ltr mw-parser-output')
    if not content_div:
        return "Error: Unable to find the content div."

    content = ""
    paragraphs = content_div.find_all('p')
    for paragraph in paragraphs:
        if paragraph.text.strip():
            content += paragraph.text.strip()
    return content
    


file =  open("wikipage.txt", "r")

index = []
URL = []
Summary = []

for line in file.readlines():
    print(line)
    index.append(line.strip())
    url = "https://en.wikipedia.org/wiki/" + line.strip()
    URL.append(url)
    text = get_wikipedia_summary(url).replace("\n", " ")
    text = text.replace(",", " ")
    
    Summary.append(text)

d = pd.DataFrame({"URL": URL, "Summary": Summary}, index=index)
d.to_csv("wiki.csv")